Description

Foreman 1.5.0 RC2 (and RC1)

exsi5, Vspere 5.0.0

CentOS 6.2

When creating a vmware vm using image (template) with a distributed switch configured the cloned vm has an inactive network and

empty label.

Attached the following screendumps.

New vm with name clonevm.localdomain config, before submit (Nic type: VMXNET3 and Network: DvPortGroup):

-new_clonevm_config.png

Created VM (clonevm.localdomain) with inactive dvPortGroup.

- clonevm-overview.png

Empty Network Label in edit page of cloned vm:

- clonevm_network_config.png

Available labels for network config of clonevm.localdomain:

- clonevm-network_labels.png

Manual Change Network to dvPortGroup(switch2):

- clonevm-changed-network-config.png

Overview with active DvPortGroup:

- clonevm-overview-after-manual-change.png

Related issues:

Related to Foreman - Bug #5630: VmWare clone from template fails if Network A... Closed 05/08/2014

Related to Foreman - Bug #7740: Installing from VMware Image breaks distribut... Closed 09/29/2014

Related to Foreman - Bug #8047: VM creation with distributed switch fails: "A... Rejected 10/23/2014

Blocked by Foreman - Refactor #12494: Update fog to 1.36.0 Closed 11/16/2015

Associated revisions

Revision d4af7cae - 12/14/2016 11:56 AM - Ivan Necas

Fixes #5483,#11106 - pass the virtualswitch value to fog

We can't pass the network id directly to the fog, but it accepts the

virtualswitch parameter, that we can use to point to the right value.

Also, it fixes another issue, where we used the vsphere network id to

match against the interface network value, in case of portgroup, but a
`key` value should be used instead, as the key and id might differ in

some situations.

Revision 443412c1 - 01/30/2017 11:01 AM - Ivan Necas

Fixes #5483,#11106 - pass the virtualswitch value to fog

We can't pass the network id directly to the fog, but it accepts the

virtualswitch parameter, that we can use to point to the right value.

Also, it fixes another issue, where we used the vsphere network id to

match against the interface network value, in case of portgroup, but a

`key` value should be used instead, as the key and id might differ in

some situations.

(cherry picked from commit d4af7cae07f78bd047290e68af37b55122e0ed4b)

History

#1 - 04/29/2014 10:48 AM - Dominic Cleal

- Category set to Compute resources

#2 - 04/29/2014 07:31 PM - Ronny M

Hope you can reproduce this.

Because I also have this while creating a host thats not based on an image.

Doesn't mater if I use dvPortGroup or dvSwitch2-DVUplinks-253. (Although not sure if both should be available for selection)

Not sure why but during the 10 test that I did that where about creating a host (not image) I once got the below unexpected error but host was still

created.

Warning!

undefined method `json?' for nil:NilClass

#3 - 04/29/2014 07:36 PM - Ronny M

Might have to do with host name "new"?

Started GET "/hosts/new.localdomain" for 192.168.88.1 at 2014-04-29 12:19:08 -0700

Processing by HostsController#new as

Operation FAILED: undefined method `json?' for nil:NilClass

Rendered common/500.html.erb (4.0ms)

Completed 500 Internal Server Error in 8ms (Views: 6.1ms | ActiveRecord: 0.4ms)

#4 - 04/29/2014 07:38 PM - Ronny M

Yes can reproduce. Hosts with name new produce the undefined method `json?' for nil:NilClass error.

Luckily we don't create host with such a name in production.

#5 - 05/08/2014 09:04 AM - Dominic Cleal

- Related to Bug #5630: VmWare clone from template fails if Network Adator has labels in VmWare added

#6 - 09/26/2014 07:20 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - VMware

#7 - 03/02/2015 10:57 AM - Dominic Cleal

- Related to Bug #7740: Installing from VMware Image breaks distributed Port Group support added

#8 - 03/02/2015 10:58 AM - Dominic Cleal

- Related to Bug #8047: VM creation with distributed switch fails: "A component of the virtual machine is not accessible on the host." added

#9 - 03/31/2015 04:21 PM - Chris Pisano

I am seeing the same behavior without distributed port groups.

#10 - 09/14/2015 05:02 AM - Ivan Necas

Does it even make sense to talk about labels for non-distributed port groups?
Ad. the original issue, we've seen this behavior, if some VMs were mistakenly set

to the specific network, but non-distributed ports, the standard network started

being used as the default one.

The solution seems to not group the network interface just but the network name, but

having there also selection for every possible label.

#11 - 09/14/2015 08:35 AM - Ivan Necas

- Status changed from New to Assigned

- Assignee set to Ivan Necas

- Target version set to 1.7.2

#12 - 09/14/2015 11:33 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2714 added

- Pull request deleted ()

#13 - 09/14/2015 11:34 AM - Ivan Necas

- Bugzilla link set to 1262913

#14 - 12/07/2015 03:55 AM - Dominic Cleal

- Blocked by Refactor #12494: Update fog to 1.36.0 added

#15 - 11/29/2016 10:09 AM - Ivan Necas

- Target version changed from 1.7.2 to 1.15.3

#16 - 12/01/2016 04:36 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/4074 added

#17 - 12/14/2016 12:01 PM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d4af7cae07f78bd047290e68af37b55122e0ed4b.

#18 - 12/19/2016 08:45 AM - Dominic Cleal

- translation missing: en.field_release set to 210
